<template>
  <NavHeader></NavHeader>
  <PageTitle>Archived messages</PageTitle>
  <ArchivedMessage
    v-for="message in messages"
    :key="message.id"
    :message="message"
    :id="id"
  ></ArchivedMessage>
</template>

<script>
import NavHeader from "./organisms/NavHeader.vue";
import PageTitle from "./atoms/PageTitle.vue";
import ArchivedMessage from "./molecules/ArchivedMessage.vue";
import axios from "axios";
import store from "../store/auth";

export default {
  components: { NavHeader, PageTitle, ArchivedMessage },
  data() {
    return {
      messages: [],
    };
  },
  props: {
    id: {
      validator(value) {
        return /([0-9])/.test(value);
      },
    },
  },
  async created() {
    store.commit("general/setLoading", true);
    //await this.getGames();
    await this.getArchivedMessages();
    document.title = "Archived messages";
    store.commit("general/setLoading", false);
  },
  methods: {
    async getArchivedMessages() {
      this.messages = (
        await axios.get(`/api/games/${this.id}/messages/archived`)
      ).data.data;
      return;
    },
  },
};
</script>

<style lang="scss">
.playerMessage p {
  color: black;
}

.sendMessage {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  width: 80%;
  margin: auto;
}
</style>
